%define  patch_name kernel-feat-fs-reiser4
%define  branch namesys
%define  branch_ver 4
%define  kver 2.6.16

Name: %patch_name
Version: %kver
Release: alt1.%branch.%branch_ver
Summary: %patch_name kernel patch - reiserfs filesystem patch
License: GPL
Group: Development/Kernel
%if "%branch" == "namesys"
URL: ftp://ftp.namesys.com/pub/reiser4-for-2.6/%kver/
%else
%if "%branch" == "mm"
URL: http://kernel.org/pub/linux/kernel/people/akpm/patches/2.6/%kver
%endif
%endif
BuildArch: noarch
Packager: Sergey Ivanov <seriv@altlinux.ru>

BuildRequires:	kernel-build-tools >= 0.6-alt1

# original patch from namesys
%source 1	01_reiser4-for-%kver-%branch_ver.patch	2.6
    
%description
Namesys's Reiser4 patch, Andrew Morton's edition

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Thu Jun 01 2006 LAKostis <lakostis at altlinux.ru> 2.6.16-alt1.namesys.4
- NMU.
- new version from namesys fixing various critical bugs (like #9218).
- thanks to seriv@ for additional testing.

* Tue Apr 11 2006 LAKostis <lakostis at altlinux.ru> 2.6.16-alt1.namesys.2
- NMU.
- new version from namesys fixing various bugs found by -mm users.

* Wed Mar 29 2006 LAKostis <lakostis at altlinux.ru> 2.6.16-alt1.namesys.1
- NMU.
- sync with namesys patch for 2.6.16.

* Sat Dec 10 2005 LAKostis <lakostis at altlinux.ru> 2.6.14-alt1.mm2
- NMU.
- imported to kernel CVS.
- update for 2.6.14.
- mix -mm2 version, patches from Namesys and Mandriva.

* Fri Aug 12 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.12-alt3.mm2
- added reiser4-fix-pam_mktemp.patch, thanks to "Vladimir V. Saveliev" <vs@namesys.com>
  (Fix bug #7520)

* Thu Jul 14 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.12-alt2.mm2
- 16_reiser4-swsusp-build-fix.patch replaced by Konstantin A. Lepikhov <lakostis@altlinux.ru>
  for compatibility with swsusp2

* Thu Jul 07 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.12-alt1.mm2
- Updated to 2.6.12 patch from http://kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.12/2.6.12-mm2/

* Sun Mar 27 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.11-alt1.namesys3
- Updated to 2.6.11 patch of Namesys from March-25-2005.

* Thu Mar 24 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.11-alt1.namesys1
- Updated to 2.6.11 patch of Namesys from March-22-2005, and from it's announcement:
  This patch adds new operation to struct super_operations - sync_inodes,
  generic implementaion and changes fs-writeback.c:sync_sb_inodes() to call
  filesystem's sync_inodes if it is defined or generic implementaion otherwise. 
  This new operation allows filesystem to decide itself what to flush.
  
  Reiser4 flushes dirty pages on basic of atoms, not of inodes.  sync_sb_inodes
  used to call address space flushing method (writepages) for every dirty inode.
   For reiser4 it caused having to commit atoms unnecessarily often.  This
  turned into substantial slowdown.  Having this method helped to fix that
  problem.


* Wed Jan 05 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.10_x-alt1.mm1
- changed version naming schema to override *_namesys priority over *_mm

* Tue Jan 04 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.10_mm1-alt2
- rediff one patch for clean apply with kernel-feat-vserver

* Tue Jan 04 2005 Sergey Ivanov <seriv@altlinux.ru> 2.6.10_mm1-alt1
- Subset of mm1 patches of Andrew Morton, fixing read reiser4 performance.

* Fri Dec 31 2004 Sergey Ivanov <seriv@altlinux.ru> 2.6.10_namesys1-alt1
- Patch of namesys, of Dec 30 2004. Note: it have lost 17%% of it's read
  performance. Developers are continuing figuring it out. Andrew Morton 
  is trying to revert simplified readahead*.patch

* Wed Oct 27 2004 Sergey Ivanov <seriv@altlinux.ru> 2.6.9_mm1-alt1
- Initial build for Sisyphus, patches from 2.6.9_mm1 kernel
